
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>AsyncHttpClient 中的重定向和 setEnableRedirects 方法异常解决 / iVAN</title>

    <meta name="description" content="AsyncHttpClient 中的重定向和 setEnableRedirects 方法异常解决 今天使用 AsyncHttpClient  开源库,遇到个很崩溃的问题: 方法  setEnableRedirects(false); 从名称上看应该是重定向开关的方法,设置为 false 后则普通请求正常,但是遇到重定向则停止请求,还算正常(文章末尾会谈到这里会遇到另一个 BUG 的情况) 但当设置为  setEnableRedirects(true);  按理说应该是对于 301.302 重定向将进行跟随重定向进行请求的,但却出现各种异常和乱七八糟的问题,不论是普通请求还是重定向的请求全是 ">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">AsyncHttpClient 中的重定向和 setEnableRedirects 方法异常解决</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>今天使用 AsyncHttpClient  开源库，遇到个很崩溃的问题：</p>
<p>方法  setEnableRedirects(false); 从名称上看应该是重定向开关的方法，设置为 false 后则普通请求正常，但是遇到重定向则停止请求，还算正常(文章末尾会谈到这里会遇到另一个 BUG 的情况)</p>
<p>但当设置为  setEnableRedirects(true);  按理说应该是对于 301、302 重定向将进行跟随重定向进行请求的，但却出现各种异常和乱七八糟的问题，不论是普通请求还是重定向的请求全是 ClientProtocolException、 CircularRedirectException 等异常，有时还不停的 GC </p>
<p>类似：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDAzMDMyMjMwMDE1NjI/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2ZW1odmRYcHRaUT09L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvU291dGhFYXN0.jpg"></p>
<p>各种调试，弄了大半天才终于搞定是怎么回事！</p>
<p>我觉得 AsyncHttpClient 开源库中的源码 setEnableRedirects 方法有问题，看了下源码：</p>
<pre>    /**
     * Simple interface method, to enable or disable redirects. If you set manually RedirectHandler
     * on underlying HttpClient, effects of this method will be canceled.
     *
     * @param enableRedirects boolean
     */
    public void setEnableRedirects(final boolean enableRedirects) {
        httpClient.setRedirectHandler(new DefaultRedirectHandler() {
            @Override
            public boolean isRedirectRequested(HttpResponse response, HttpContext context) {
                return enableRedirects;
            }
        });
    }</pre>
<p>似乎设置为 setEnableRedirects 为 true 后，所有请求包括 http 200 都会 isRedirectRequested 方法都会返回 true 标记为重定向导致所有请求全部都出现问题，</p>
<p>于是新建个类继承 AsyncHttpClient 后重写了他的 setEnableRedirects 方法，只对 301和 302进行重定向返回设置的 boolean 值，这下测试就 ok 了，普通请求正常，重定向则自动重定向请求到数据了，跟预想的结果一样了：</p>
<p>修改后的代码：</p>
<pre>    @Override
    public void setEnableRedirects(final boolean enableRedirects) {
        ((DefaultHttpClient) getHttpClient()).setRedirectHandler(new DefaultRedirectHandler() {
            @Override
            public boolean isRedirectRequested(HttpResponse response, HttpContext context) {
                int statusCode = response.getStatusLine().getStatusCode();
                ZLog.i("setEnableRedirects", "code:"+ statusCode);
                if (statusCode == 301 || statusCode == 302) {
                    ZLog.i("setEnableRedirects", "enableRedirects: true");
                    return enableRedirects;
                }
                return false;
            }
        });
    }</pre>
<p>这样当 设置为 false 时则全部状态都返回 false，设置为true 时则仅对 301、302 才返回 true，其余都返回 false</p>
<p>同时还要配置下面的参数设置：</p>
<pre>        getHttpClient().getParams().setParameter(ClientPNames.MAX_REDIRECTS, 3);
        getHttpClient().getParams().setParameter(ClientPNames.ALLOW_CIRCULAR_REDIRECTS, true);
</pre>
<p>允许环形重定向和设置重定向最大次数。</p>
<p><a href="http://blog.csdn.net/zhouzme/article/details/20400673" rel="external nofollow noreferrer">AsyncHttpClient 中的重定向和 setEnableRedirects 方法异常解决</a></p>
<p>下面还有个重要提示：</p>
<p>经过我多次的测试实验，发现：</p>
<p>其实系统默认应该是允许请求重定向的，但这里有个 BUG，就是如果你有两个请求是相同的链接地址，则只有第一个请求会被重定向，第二个则不会，将直接出现最上面的那一堆堆的异常信息。</p>
<p>解决办法：</p>
<p>很简单，就是上面提到的 环形重定向的参数设置了，加上就好了。</p>
<p>这里还要强调一点就是如果你不复写 setEnableRedirects 方法的话，那么最好千万不要调用他，一旦调用他就会重置 handle 导致出现前面说到的各种问题，</p>
<p>仅在需要禁止重定向的时候调用该方法设置为 false</p>
<p>血泪教训啊，浪费了一天的青春，感叹下其实很多技术博客里的文章，并不是你看到的简简单单的一个个字符，背后都是无数程序猿们的血泪和无悔青春，用生命的代价换来的。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-06 14:23:28</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>AsyncHttpClient 中的重定向和 setEnableRedirects 方法异常解决的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Q9Vqp.html" rel="bookmark">nginx中301重定向二种方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				last – 基本上都用这个Flag.break – 中止Rewirte,不在继续匹配,redirect – 返回临时重定向的HTTP状态302,permanent – 返回永久重定向的HTTP状态301 有需要的朋友可参考参考.  代码如下 复制代码 server { server_name www.yfds.com.cn fdscom.cn; if ($host != 'yi1.com.cn' ) { rewrite ^/(.*)$ http://cc.com/$1 permanent; }			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mgy273z.html" rel="bookmark">asp&period;net 中WinForm出现无法处理的异常解决办法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				,然后进行处理,但是这段代码中用到了BeginInvoke的语句块,而我使用了匿名方法,那么在匿名方法中的异常,外面是捕捉不到的.所以会出现无法处理的异常情况,正确的代码应该这样:  代码如下 复制代码 this.BeginInvoke(new MethodInvoker(delegate() {     bool flag = false;     try     {         flag = service.Authentication();//此处可能造成异常         if (			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6ZjVAM.html" rel="bookmark">java中spring security的remember me异常解决办法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 想想也不可能,网络中不会时不时出现cookie theft攻击吧.看了官方文档,也没给出解释,后来在oschina看到一篇分析的文章,才明白其中的缘由,文章&lt;是谁动了我的cookie?Spring Security自动登录功能开发经历总结&gt;. 从这篇文章的分析结合spring secutiy的源码来看,在每次持久化登录校验token完毕之后,会更新token的值并写入cookie.而token的校验是通过加密处理写入cookie中的字符串与持久化存储的token做对比看是否一致来判断登录信息			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1Rmkxp.html" rel="bookmark">IIS中利用重定向URL来防止Access数据库被下载的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于ASP+Access开发的网站,安全性最最让人担忧的就是Access数据库可以随意下载,当然我们可以通过一些修改数据库名称的手段进行尽量的防护,但归根结底是不彻底的.所以今天就来谈谈在IIS中利用重定向URL来防止Access数据库被下载的方法. 此方法需要你有IIS的管理权限,如果你使用的是虚拟主机,那估计没有办法了,呵呵.这里假设你有IIS的管理权限. 1.首先打开Internet 信息服务(IIS)管理器,在Internet 信息服务(IIS)管理器左边窗口中找到你数据库所在的文件夹,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd66nXb.html" rel="bookmark">JQuery中使用Ajax赋值给全局变量异常的解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 本篇文章主要是对JQuery中使用Ajax赋值给全局变量异常的解决方法进行了详细的介绍,需要的朋友可以过来参考下,希望对大家有所帮助 我们在用JQuery的Ajax从后台提取数据后想把它赋值给全局变量,但是却怎么都赋不进,为什么呢?   原因其实很简单,我们用的Ajax是异步操作,也就是说在你赋值的时候数据还没提取出来,你当然赋不进去,所以只要改成同步操作就行~   方法1:先设置同步在进行Ajax操作      代码如下: //在全局或某个需要的函数内设置Ajax异步为false,也就是同步			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPZ3dqb.html" rel="bookmark">使用nodejs中httpProxy代理时候出现404异常的解决方法&lowbar;node&period;js</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在公司中使用nodejs构建代理服务器实现前后台分离,代码不能拿出来,然后出现httpProxy代理资源的时候老是出现404.明明被代理的接口是存在的.代码大概如下: var http = require('http'), httpProxy = require('http-proxy'); var proxy = httpProxy.createProxyServer({}); var server = http.createServer(function(req, res) { proxy.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMqJWGp.html" rel="bookmark">php开发中的页面跳转方法总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				php页面跳转实现的功能就是将网站中一个网页跳转到另一个网页中.对于刚刚学习php语言的朋友来说,是必须要掌握的基础方法. 开发中的页面跳转方法总结-微信网页开发页面跳转&quot;&gt; 页面跳转可能是由于用户单击链接.按钮等触发的,也可能是系统自动产生的.页面自动跳转在web开发中经常用到,而且根据需求可以采用不同的跳转方式,比如提示操作信息后延时跳转等, 本文总结了web开发中常见的几种页面跳转方法. php header函数跳转 php的header函数非常强大,其中在页面url跳转方面也调用简			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/LzJLavM.html" rel="bookmark">sql2008启动报错&colon;应用程序的组件中发生了无法处理的异常和值不能为空viewinfo</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				sql2008 启动报错:应用程序的组件中发生了无法处理的异常和值不能为空 viewinfo(已解决!) 1.重启sql(无效) 2.,重启系统(无效) 3.重装.net(无效) 后发现问题出在 这是因为临时处理路径出现异常造成的,主要是C:\Users\Administrator\AppData\Local\Temp下的文件夹名为[2]的文件夹出现了问题,解决方法如下: 进入C:\Users\Administrator\AppData\Local\Temp路径,也可以在C盘地址栏输入此路径进入			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjmL7mz.html" rel="bookmark">JavaScript中的this关键字使用方法总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了JavaScript中的this关键字使用方法总结,本文讲解了作为对象方法调用.作为函数调用.作为构造函数调用.使用 apply 或 call 调用等内容,需要的朋友可以参考下     在javascritp中,不一定只有对象方法的上下文中才有this, 全局函数调用和其他的几种不同的上下文中也有this指代. 它可以是全局对象.当前对象或者任意对象,这完全取决于函数的调用方式.JavaScript 中函数的调用有以下几种方式:作为对象方法调用,作为函数调用,作为构造函数调用			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2POop.html" rel="bookmark" class="title">WPF 无法添加DataGrid</a>
					<div>
						问题描述 WPF 无法添加DataGrid 就这个问题,我想把test拖到UserControl中,然后就提示如图的问题.上面的diagnosis$名称的文件开始也是这个问题,后来莫名其妙就能拖进来了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPXDvp.html" rel="bookmark" class="title">HTML5学习笔记&mdash;&mdash;input</a>
					<div>
						在HTML5中,大幅度地增加与改良了input元素的种类,可以简单的使用这些元素来实现HTML5之前需要使用JavaScript才能实现的许多功能. 到目前为止,对于这些input的种类来说,支持得最 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlvKYz.html" rel="bookmark" class="title">ASP最新SQL防注入过滤涵数</a>
					<div>
						sql|防注入 Function Checkstr(Str) If Isnull(Str) Then CheckStr = &quot;&quot; Exit Function End If Str  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyE1JM.html" rel="bookmark" class="title">常用CSS</a>
					<div>
						css *按钮样式*/.ButtonCss {}{    font-family: &quot;Tahoma&quot;, &quot;宋体&quot;;    font-size:9pt; colo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jN2lb.html" rel="bookmark" class="title">虚拟化实战：容灾设计之二VR vs SRM</a>
					<div>
						从本文开始,我们将介绍一系列的关于容灾的解决方案.先探讨应用的场景,然后再深入介绍技术架构. 情景一: 某小型公司的虚拟化环境中,在5台ESXi服务器上运行100台虚拟机.采用NFS存储.其中需要异地 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOJkRM.html" rel="bookmark" class="title">（教学思路 C&num;数组二）数组的属性、foreach遍历、交错数组与矩形数组的区别</a>
					<div>
						本次课我们要学习数组的属性.foreach的用法.我上节课提到的交错数组,我会通过多个例子的演示讲解让你们理解交错数组定义已经与规则的二维数组(矩形数组)的区别加深理解,下一节我们还将学习数组的常用方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8RNGb.html" rel="bookmark" class="title">MSN显示全部联系人脱机问题解决妙招</a>
					<div>
						我在一个外资公司上班,MSN是EMAIL外最主要的内外联系工具,但昨天上班后发现,我的联系人列表一溜儿都是脱机状态,当时第一时间想到的是 --难道今天是假日?我独个儿来上班了?后来陆续上班的其他同事也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oJWAb.html" rel="bookmark" class="title">三类Windows 8安装方式的利弊</a>
					<div>
						  常见的安装方式可以归结为这三类: 1.华丽丽的把Windows 8消费者预览版装进自己的C盘!覆盖之前C盘的Win7或者XP. 2.在Win7或者XP下把Win8装进其他盘,形成Win7或XP和W ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72xEAp.html" rel="bookmark" class="title">win8系统安装火狐浏览器后无法启动怎么办</a>
					<div>
						  解决方法一:找到这个profile文件,并删除它.这个文件一般在:C:Documents and SettingsAdministratorApplication DataMozillaFiref ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze70jwM.html" rel="bookmark" class="title">阿里云邮箱如何将已发送的邮件保存到已发送箱邮件箱中</a>
					<div>
						  默认情况下,阿里云邮箱会自动将已发送的信件副本保存到&quot;已发送&quot;文件夹中. 若要为发送的所有邮件启用/不启用此选项: 1.点击邮箱页面右上角的&quot;邮箱设置&quot;链接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72w6ap.html" rel="bookmark" class="title">迅雷资源助手图文使用详解</a>
					<div>
						迅雷资源助手又名种子搜索神器(TSearch)是一款集P2P网络搜索.资源站搜索为一体的种子搜索神器.P2P网络搜索采用目前最先进的ED2K网络检索技术,资源更多,结果更精准.网页搜索则收录了最受欢迎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDW3AOp.html" rel="bookmark" class="title">泄露&OpenCurlyDoubleQuote;天机&rdquo;&mdash;&mdash;天猫营业厅合约机销售暴涨100倍的秘密</a>
					<div>
						2016财年,阿里的电商交易额(GMV)突破3万亿元,这其中天猫上的通信业务独占2000亿,接近中国联通全年的收入.尽管这一数据足够惊人,但&quot;遗憾&quot;的是其中绝大部分都是来自于充值, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NvNWM.html" rel="bookmark" class="title">jQuery之工具函数</a>
					<div>
						  jquery为我们提供了操作数组和对象的工具函数,方便和简化了我们对它们的操作.今天我们就进入jQuery的工具函数的复习.   jQuery给我们提供了主要有5类工具函数: URL 字符串操作  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6Zq3z.html" rel="bookmark" class="title">新浪微博让&OpenCurlyDoubleQuote;一句话证明体&rdquo;网络走红 ，触发网友校园回忆</a>
					<div>
						东方网3月2日消息:据&lt;新闻晨报&gt;报道,近两天,数十万http://www.aliyun.com/zixun/aggregation/1288.html&quot;&gt;新浪微博用户的参 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NPE6z.html" rel="bookmark" class="title">Linux关机命令</a>
					<div>
						Linux centos重启命令: 1.reboot 2.shutdown -r now 立刻重启(root用户使用) 3.shutdown -r 10 过10分钟自动重启(root用户使用) 4.s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQ3BLp.html" rel="bookmark" class="title">「最简单」的 Core Data 上手指南</a>
					<div>
						本文讲的是「最简单」的 Core Data 上手指南, 原文地址:The Easiest Core Data 原文作者:Alberto De Bortoli 译文出自:掘金翻译计划 译者:Zheaol ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRvyNb.html" rel="bookmark" class="title">聊一聊酒店里更细分的服务种类&mdash;&mdash;钟点房</a>
					<div>
						摘要: 酒店预定APP,看起来已经是一片红海了.有像今夜酒店特价这种处理酒店尾房的应用,还有像美团酒店这种酒店团购服务,还有提供一站式酒店预订服务的去哪儿快捷酒店管家等等.而 酒店预定APP,看起来已 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrX72vz.html" rel="bookmark" class="title">大神帮我看这个pig latin C&plus;&plus;程序问题报debug assertion failed</a>
					<div>
						问题描述 大神帮我看这个pig latin C++程序问题报debug assertion failed #include #include using namespace std; const in ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgRVqb.html" rel="bookmark" class="title">android-安卓监听指定电话，进行自动接听，求修改方法</a>
					<div>
						问题描述 安卓监听指定电话,进行自动接听,求修改方法 两个功能,如何实现,安卓源码 监听到指定的电话,实现自动接听功能.不知道在哪里修改 解决方案 Android 电话自动接听和挂断详解android ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmaBWb.html" rel="bookmark" class="title">《从缺陷中学习C&sol;C&plus;&plus;》&mdash;&mdash;6&period;13　临时变量内存不能返回</a>
					<div>
						6.13 临时变量内存不能返回 从缺陷中学习C/C++ 代码示例 char *initialize() { char str[300]; char* ptr = str; return ptr; }  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1WNNz.html" rel="bookmark" class="title">网店是否可以成为遗产&quest;</a>
					<div>
						不久前,24岁淘宝女店主艾珺因连续通宵熬夜,在睡梦中猝死.在她安静地离开这个世界后,她苦心经营两年的皇冠店被冻结.此后,一位五钻级别的淘宝店主发了一篇&lt;网店是否可以成为遗产?&gt;的网帖,一天 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Za2Xp.html" rel="bookmark" class="title">06年控制阀报告之应用中存在的问题</a>
					<div>
						控制阀应用中存在的问题1.控制阀的品种多,规格多,参数多控制阀为适应不同工业生产过程的控制要求,例如温度.压力.介质特性等,有近千种不同规格.不同类型的产品,使控制阀的选型不方便.维护不方便.管理不方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/b3JyONz.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcmVhZC5odG1sNS5xcS5jb20vaW1hZ2U/c3JjPWZvcnVtJmFtcDtxPTUmYW1wO3I9MCZhbXA7aW1nZmxhZz03JmFtcDtpbWFnZVVybD1odHRwOi8vZXNzYXkuYjAudXBhaXl1bi5jb20vMTc0Ny8zNDYzOTAvMC5qcGc=.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/b3JyONz.html" rel="bookmark" class="title">深刻！阿里、宝洁大数据实战</a>
					<div>
						虎嗅F&amp;M;创新节的&quot;如何洞察用户:阿里与宝洁的大数据实战&quot;专场里,阿里巴巴数据委员会会长车品觉.宝洁中国市场研究部总经理李霈.英特尔中国研究院首席工程师吴甘沙和股票雷达创 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Rxraz.html" rel="bookmark" class="title">金融的&OpenCurlyDoubleQuote;创新&rdquo;与&OpenCurlyDoubleQuote;传统&rdquo;之争</a>
					<div>
						余额宝在上线8个月后,规模突破4000亿,规模的迅速攀升的同时也收获了一大片用户的赞美,于是,余额宝在不知觉中站在了舆论的风口浪尖. 当央视评论员钮文新发表了关于余额宝&quot;吸血鬼&quot;. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZgPkp.html" rel="bookmark" class="title">c&num;winfrom-C&num;winfrom实现鼠标在from窗体外可以点击的代码</a>
					<div>
						问题描述 C#winfrom实现鼠标在from窗体外可以点击的代码 winfrom实现 鼠标在from窗体外可以点击桌面的某个位置 的代码 最好有注释的 谢谢各位大神了!!!!! 解决方案 全局鼠标钩 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnwANM.html" rel="bookmark" class="title">汇编程序：冒泡排序</a>
					<div>
						汇编语言能实现冒泡排序等排序算法吧?当然可以,排序可不是什么复杂的东东.就在第7周,给大家补充一下cmp.jxxx.xchg指令,下面的冒泡就出来了. 可以对照着附后的C语言排序实现理解. assum ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2EQBz.html" rel="bookmark" class="title">jboss正常启动，但是这个路径下server&bsol;default&bsol;deploy却没有发布的项目</a>
					<div>
						问题描述 jboss正常启动,但是这个路径下serverdefaultdeploy却没有发布的项目 一个项目要求用jboss,昨天好不容配置好了,启动是正常了,但是里面却没有被发布的项目,不知道怎么回 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Zrlwz.html" rel="bookmark" class="title">ajax同步验证单号是否存在的方法&lowbar;AJAX相关</a>
					<div>
						本文实例讲述了ajax同步验证单号是否存在的方法.分享给大家供大家参考,具体如下: //保存前执行的方法,ajax同步调用后台验证包裹单号是否存在 function doBeforeSave(){ v ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVYnwz.html" rel="bookmark" class="title">Android TabLayout&lpar;选项卡布局&rpar;简单用法实例分析&lowbar;Android</a>
					<div>
						本文实例讲述了Android TabLayout(选项卡布局)简单用法.分享给大家供大家参考,具体如下: 我们在应用viewpager的时候,经常会使用TabPageIndicator来与其配合.达到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2qABz.html" rel="bookmark" class="title">中国的网站能活几天</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 原标题&quot;中国网站的生命周期有几天?&quot; 王建然最近利用做财富第三极事业的闲暇时间,做了大量的调查研究,观察分析和判断对比,发现中国的网 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
